mqttui-publish(1)

NAME
mqttui-publish - Publish a value quickly

SYNOPSIS
mqttui publish [-r|--retain] [-v|--verbose] [--qos] [-b|--broker] [-u|--username] [--password] [-i|--client-id] [--client-cert] [--client-private-key] [--insecure] [-h|--help] <TOPIC> [PAYLOAD]

DESCRIPTION
Publish a value quickly

OPTIONS

-r, --retain
    Publish the MQTT message retained
    May also be specified with the MQTTUI_RETAIN environment variable.

-v, --verbose
    Show full MQTT communication

--qos <LEVEL> [default: 2]
    Maximum Quality of Service (`QoS`) for subscriptions and publishing. The lower Quality of Service level for publisher and subscriber is delivered from broker to subscriber. So subscribing with 0 will never receive a 1 or 2. Publishing with 2 will be received as 1 when subscribed with 1. - 0: at most once (fire and forget) - 1: at least once (acknowledged delivery with potential duplicates) - 2: exactly once (assured delivery without duplicates)
    May also be specified with the MQTTUI_QOS environment variable.

-h, --help
    Print help (see a summary with '-h')

<TOPIC>
    Topic to publish to

[PAYLOAD]
    Payload to be published. Reads from stdin when not specified. This allows file content to be sent via pipes like this (bash): `mqttui publish some/topic </etc/hostname` `cowsay "I was here" | mqttui publish some/topic`

MQTT CONNECTION

-b, --broker <URL> [default: mqtt://localhost]
    URL which represents how to connect to the MQTT broker. Examples: `mqtt://localhost` `mqtt://localhost:1883` `mqtts://localhost` `mqtts://localhost:8883` `ws://localhost/path` `ws://localhost:9001/path` `wss://localhost/path` `wss://localhost:9001/path`
    May also be specified with the MQTTUI_BROKER environment variable.

-u, --username <STRING>
    Username to access the mqtt broker. Anonymous access when not supplied.
    May also be specified with the MQTTUI_USERNAME environment variable.

--password <STRING>
    Password to access the mqtt broker. Consider using a connection with TLS to the broker. Otherwise the password will be transported in plaintext. Passing the password via command line is insecure as the password can be read from the history! You should pass it via environment variable.
    May also be specified with the MQTTUI_PASSWORD environment variable.

-i, --client-id <STRING>
    Specify the client id to connect with
    May also be specified with the MQTTUI_CLIENTID environment variable.

--client-cert <FILEPATH>
    Path to the TLS client certificate file. Used together with --client-private-key to enable TLS client authentication. The file has to be a DER-encoded X.509 certificate serialized to PEM.
    May also be specified with the MQTTUI_CLIENT_CERTIFICATE environment variable.

--client-private-key <FILEPATH>
    Path to the TLS client private key file. Used together with --client-cert to enable TLS client authentication. The file has to be a DER-encoded ASN.1 file in PKCS#8 form serialized to PEM.
    May also be specified with the MQTTUI_CLIENT_PRIVATE_KEY environment variable.

--insecure
    Allow insecure TLS connections